mutation CreateConversation(
  $participants: String!,
  $conversationType: ConversationType!,
  $relatedTo: UUID!,
  $status: ConversationStatus
) @auth(level: USER) {
  conversation_insert(
    data: {
      participants: $participants
      conversationType: $conversationType
      relatedTo: $relatedTo
      status: $status
    }
  )
}

mutation UpdateConversation(
  $id: UUID!,
  $participants: String,
  $conversationType: ConversationType,
  $relatedTo: UUID,
  $status: ConversationStatus
) @auth(level: USER) {
  conversation_update(
    id: $id,
    data: {
      participants: $participants
      conversationType: $conversationType
      relatedTo: $relatedTo
      status: $status
    }
  )
}

mutation DeleteConversation(
  $id: UUID!
) @auth(level: USER) {
  conversation_delete(id: $id)
}
